/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */

/**
 * Creating a sidebar enables you to:
 - create an ordered group of docs
 - render a sidebar for each doc of that group
 - provide next/previous navigation

 The sidebars can be generated from the filesystem, or explicitly defined here.

 Create as many sidebars as you want.
 */

const fbContent =
  require('docusaurus-plugin-internaldocs-fb/internal').fbContent;

module.exports = {
  docs: [
    {
      type: 'category',
      label: 'Get Started',
      collapsed: false,
      items: [
        'tutorials/get-started',
        'tutorials/get-started-manually',
        'tutorials/add-package',
      ],
    },
    {
      type: 'category',
      label: 'Tutorials',
      collapsed: false,
      items: [
        'tutorials/snacks/image-classification',
        'tutorials/snacks/nlp-qa',
        'tutorials/snacks/object-detection',
        'tutorials/snacks/anime-gan',
        'tutorials/snacks/seq2seq-nmt',
        'tutorials/snacks/yolov5',
        'tutorials/prepare-custom-model',
      ],
    },
    fbContent({
      internal: {
        type: 'category',
        label: '[Meta Only]',
        collapsed: false,
        items: ['fb/wikis/creating-a-release', 'fb/wikis/install-ptl-app'],
      },
      external: {},
    }),
    'tutorials/faq',
  ],
  api: [
    {
      type: 'autogenerated',
      dirName: 'api/core',
    },
  ],
};
